## org.exist.util
Class HeapSort

    java.lang.Object
      org.exist.util.HeapSort

public final class HeapSort
extends java.lang.Object

This class implements a simple version of the heapsort algorithm, improved. The implementation is based on the implementation of J. Mohr, which was based on the implementation of a sorting framework by Cay Horstmann.

Author:
  Jose Maria Fernandez

Constructor Summary
`HeapSort()`

Method Summary
`static void` `main(java.lang.String[] args)`
`static void` `sort(java.lang.Comparable[] a, int lo, int hi)`
`static void` `sort(java.util.List a, int lo, int hi)`
`static void` `sort(long[] a, int lo, int hi, java.lang.Object[] b)`
`static void` `sort(NodeProxy[] a, int lo, int hi)`
`static void` `sort(java.lang.Object[] a, java.util.Comparator c, int lo, int hi)`
`static void` `sortByNodeId(NodeProxy[] a, int lo, int hi)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HeapSort

    public HeapSort()

Method Detail

### sort

    public static void sort(java.lang.Comparable[] a,
                            int lo,
                            int hi)

### sort

    public static void sort(java.lang.Object[] a,
                            java.util.Comparator c,
                            int lo,
                            int hi)

### sort

    public static void sort(java.util.List a,
                            int lo,
                            int hi)

### sort

    public static void sort(long[] a,
                            int lo,
                            int hi,
                            java.lang.Object[] b)

### sort

    public static void sort(NodeProxy[] a,
                            int lo,
                            int hi)

### sortByNodeId

    public static void sortByNodeId(NodeProxy[] a,
                                    int lo,
                                    int hi)

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Copyright (C) Wolfgang Meier. All rights reserved.